Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.workqueue
Interface WorkQueueManager

    public interface WorkQueueManager

Nested Class Summary
`static class` | `WorkQueueManager.ThreadingModel`

Method Summary
`AutomaticWorkQueue` | `getAutomaticWorkQueue()` Get the manager's work queue.
`WorkQueueManager.ThreadingModel` | `getThreadingModel()` Get the threading model.
`void` | `run()` Only returns after workqueue has been shutdown.
`void` | `setThreadingModel(WorkQueueManager.ThreadingModel model)` Set the threading model.
`void` | `shutdown(boolean processRemainingTasks)` Shuts down the manager's work queue.

Method Detail

### getAutomaticWorkQueue

    AutomaticWorkQueue getAutomaticWorkQueue()

  Get the manager's work queue.

  Returns:
    AutomaticWorkQueue

### getThreadingModel

    WorkQueueManager.ThreadingModel getThreadingModel()

  Get the threading model.

  Returns:
    ThreadingModel - either `SINGLE_THREADED` or `MULTI_THREADED`.

### setThreadingModel

    void setThreadingModel(WorkQueueManager.ThreadingModel model)

  Set the threading model.

  Parameters:
    `model` - either `SINGLE_THREADED` or `MULTI_THREADED`.

### shutdown

    void shutdown(boolean processRemainingTasks)

  Shuts down the manager's work queue. If `processRemainingTasks` is true, waits for the work queue to shutdown before returning.

  Parameters:
    `processRemainingTasks` - - whether or not to wait for completion

### run

    void run()

  Only returns after workqueue has been shutdown.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF is an effort undergoing incubation at the Apache Software Foundation(ASF) and sponsored by the Apache Incubator PMC.